Subject: bug#33393: [gnu.org #1336696] 404 link

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Nov 2018 18:10:26 +0200

> From: Nicolas Petton <[email-masked]>
> Date: Tue, 20 Nov 2018 11:12:22 +0100
> Cc: [email-masked]
> 
> Glenn Morris <[email-masked]> writes:
> 
> > Thanks for the info.
> > This has happened before, eg https://debbugs.gnu.org/29671
> > The simplest solution is if the FSF store keeps
> > https://shop.fsf.org/product/emacs-manual/
> > working as a redirect to wherever the current manual is (or a short note
> > saying that it is out of print when applicable).
> >
> > I will ask sales@fsf to do that, unless you know a better address?
> 
> Can we maintain a list of redirections ourselves using a .htaccess file?
> Do you know if the file will be read by the web server?

I was actually about to suggest something easier: point the readers to
an address that will never change, such as this:

   https://shop.fsf.org/collection/books-docs

Of course, if we can arrange for a more focused URL that won't be
invalidated by bitrot, that would be better.  However, I do suggest to
at least consider the "easy" solution against the risk of a 404 with
the more smart one.